
CXX := mpiCC
TARGET := maximum-parsimony
OBJS := maximum-parsimony.o
OBJS += Sequence.o
OBJS += ElementSet.o
OBJS += PTree.o

all: $(TARGET)

$(TARGET): $(OBJS)
	mpiCC -o $@ $^

%.o: %.cc
	$(CXX) -c -o $@ $<

clean:
	-rm -f *.o *~ $(TARGET)
